
#######################################################################
# +-----------------------------------------------------------------+ #
# |                           WorldConfig                           | #
# +-----------------------------------------------------------------+ #
#######################################################################

# The author of this world
Author: MC_Pitman & LordSmellyPants (Team OTG)

# A short description of this world
Description: Biome Bundle

# What OpenTerrainGenerator does with the config files.
# Possible modes:
#    WriteAll - default
#    WriteWithoutComments - write config files without help comments
#    WriteDisable - doesn't write to the config files, it only reads. Doesn't auto-update the configs. Use with care!
SettingsMode: WriteAll


#######################################################################
# +-----------------------------------------------------------------+ #
# |                            The modes                            | #
# +-----------------------------------------------------------------+ #
#######################################################################

# Possible terrain modes:
#    Normal - use all features
#    TerrainTest - generate only terrain without any resources
#    NotGenerate - generate empty chunks
#    Default - use default terrain generator
#    OldGenerator - Minecraft Beta 1.7.3-like land generator
TerrainMode: Normal

# Possible biome modes:
#    Normal - use all features
#    FromImage - get biomes from image file
#    Default - use default Notch biome generator
# For old maps two more modes are available:
#    BeforeGroups - Minecraft 1.0 - 1.6.4 biome generator, only supports the biome groups NormalBiomes and IceBiomes
#    OldGenerator - Minecraft Beta 1.7.3 biome generator
BiomeMode: BeforeGroups


#######################################################################
# +-----------------------------------------------------------------+ #
# |                          Custom biomes                          | #
# +-----------------------------------------------------------------+ #
#######################################################################

# You need to register your custom biomes here. This setting will make Open Terrain Generator
# generate setting files for them. However, it won't place them in the world automatically.
# See the settings for your BiomeMode below on how to add them to the world.

# Syntax: CustomBiomes:BiomeName:id[,AnotherBiomeName:id[,...]]
# Example: CustomBiomes:TestBiome1:30,BiomeTest2:31
# This will add two biomes and generate the BiomeConfigs for them.
# All changes here need a server restart.

# Due to the way Mojang's loading code works, all biome ids need to be unique
# on the server. If you don't do this, the client will display the biomes just fine,
# but the server can think it is another biome with the same id. This will cause saplings,
# snowfall and mobs to work as in the other biome.

# The available ids range from 0 to 1023 and the ids 0-39 and 127-167 are taken by vanilla.
# The ids 256-1023 cannot be saved to the map files, so use ReplaceToBiomeName in that biome.
# The Cartographer feature for Forge uses biome id 888.
CustomBiomes: Frozen Forest:44, ForestSakura:45, ForestSakuraHills:46, Autumnal Woods Hills:47, Autumnal Woods M:48, Autumnal Woods:49, Tropical Savanna:50, ForestConifer:57, Uplands:58, ForestEnchanted:65, ForestEnder:66, Steppe:71, Webbed Forest:72, SavannaEdge:73, Tundra:110, SwamplandSpooky:111, Canyon:270, CanyonHigh:271, CanyonMid:272, HighCliffsEdge:273, DesertMountain:274, DesertSmall:275, Birch Meadow:276, Forest M:277, ForestBaldCypress:278, ForestPlateau:279, ForestMountainRange:280, ForestMountain:281, TemperatePlainsOakgroveBorder:282, ForestWoodland:284, PlainsCliffM:285, PlainsCliff:286, JungleLowlands:287, JunglePlateau:288, JunglePlateauLow:289, JungleCliffsCanyon:290, JungleCliffsEdge:291, JungleCliffsCanyonMid:292, JungleCliffsCanyonHigh:293, Highlands:294, SavannaHills:295, DrySavanna:296, Mesa Verde Edge:297, MesaVerdeCanyonHigh:298, MesaVerdeCanyonMid:299, MesaVerdeCanyon:300, TundraEdge:301, TundraForest:302, ForestGrandFir:303, TemperatePlainsMeadowM:304, ForestConiferMountain:305, ForestConiferSnow:306, ForestConiferEdge:307, BirchForestRocky:308, TemperatePlainsMeadowBorder:309, SwamplandBorder:310, AlpsEdge:311, AlpsForest:312, AlpsMountain1:313, AlpsMountain2:314, AlpsMountain3:315, AlpsMountainEdge:316, AlpsMountainEdge2:317, AlpsMountainHighlands:318, AlpsMountainPeak:319, AlpsMountainPeak2:320, OceanDesertIsland:323, OceanForestIsland:324, RiverEnchantedForest:325, RockyMountainPeak1:326, RockyMountainPeak2:327, RiverHaunted:328, ArchipelagoHigh:329, ArchipelagoMid:330, ArcticEdge:331, OceanRockyIslandPeak:332, TaigaHighlands:333, RockyPlainsM:334, Webbed Forest Grove:335, DesertFlats:336, SavannaSmall:337, ForestFirThicket:338, HighCliffsSummit:339, ForestFirThicketEdge:340, ColdForestFirThicket:341, ColdForestFirThicketEdge:342, RockyMountainsPeakEdge:346, SwamplandSmall:347, DesertLowlandsEdge:348, DesertLowlands:349, MountainSteps:350, MountainStepsEdge1:351, MountainStepsEdge2:352, DesertLowlandsOasis:353, DesertLowlandsOasisEdge:354, TemperateHillsBorder:355, AlpineM:356, AlpineForest:357, DryPlainsM:358, BirchForestHighlands:359, ForestWetlandM:360, ColdTaigaBorder:361, Tropical Savanna Canyon:362, Tropical Savanna Canyon High:363, Tropical Savanna Canyon Mid:364, Tropical Savanna Edge:365, Tropical Savanna Summit:366, JungleHighlands:367, Rainforest Plateau:368, Rainforest M:369, Rainforest Plateau M:370, Rainforest Plateau Low:371, OceanPlateauLow:373, RiverAutumnal:374, TemperatePlains:375, HighlandsPeaks:376, SwamplandLarge:377, Extreme Hills Jungle:378, Extreme Hills Jungle Edge:379, MountainStepsGlacier:380, MountainStepsGlacierEdge1:381, MountainStepsGlacierEdge2:382, BirchForestMountain:383, BirchForestMountainRange:384, Pumpkin Plains:385, Desert Cliffs Edge:386, DesertCanyon:387, DesertCanyonHigh:388, DesertCanyonMid:389, GlacierM:391, TemperatePlainsDarkMeadow:393, GiantMushroomIsland:394, RainforestTropical:395, Caverns Edge:396, Caverns M:397, Caverns+ M:398, Caverns+:399, Mesa Small:400, Mesa Small M:401, Mesa Small Edge:402, OceanRockyIsland:403, SteppeHill:404, IcyMountainPeak1:405, IcyMountainPeak2:406, DesertOasisBorder:407, JungleLonePeak:408, ForestEnchantedGrove:409, ForestEnchantedBorder:410, ForestEnderMountain:411, ForestEnderValley:412, FloatingEdge:413, FloatingHole:414, WoodlandBorder:415, Mesa (Bryce) Rocks:416, Mesa (Bryce) Forest:417, SteppeHeathland:418, SteppeRocks:419, Webbed Hills:420, Webbed Hills Edge:421, ForestPlateauRoofed:422, RedMountain:423, TemperateLonePeak:424, Mesa (Bryce) Edge:425, MesaPeak:426, MesaCanyon:427, Mesa Rock:428, Mesa Desert:429, OceanIslandDesert:430, Monument:431, MonumentM:432, TropicalPillarSmall:433, TropicalPillarLarge:434, MonumentSmall:435, MonumentValleyFir:436, TemperatePlainsM:437, TemperatePlainsCypresshill:438, TemperatePlainsMeadow:439, TemperatePlainsHeathland:440, TemperatePlainsOakgrove:441, OceanRocksM:442, OceanPlateauM:443, SnowyPlainsM:444, SnowyCliffM:445, SwamplandRuins:446, TundraCliffs:447, TemperateLowlandsEdge:448, OceanIslandForest:449, OceanIslandRoofedForest:450, Mesa Verde Forest:451, Drylands:452, DrylandsEdge1:453, DrylandsEdge2:454, DrylandsIsle:455, Swampland Bushes:456, DesertCliffsOasis:457, DesertCliffsOasisEdge:458, TemperateHillsForest:460, Mesa Sandstone:462, Mesa Sandstone Edge:463, Mesa Sandstone M:464, ForestMountainRangeEdge:465, DesertSmallRed:466, DesertSmallRedEdge:467, Mesa Sandstone Peak:468, AlpineConiferSnow:469, AlpineConiferMountain:470, HighCliffsThicket:471, HighCliffsThicketMountain:472, ForestBaldCypressSmall:473, TaigaSmall:474, RedwoodSmall:475, ForestGrandFirSmall:476, ForestDry:477, ForestDryEdge:478, UplandsBlackSpruce:479, JungleAncient:480, SnowyExtremeHills:481, MesaPaintedCanyon:482, JungleAncientMushrooms:483, JungleAncientMountain:484, MonumentValleyEdge:485, UplandsEdge:486, SnowyCanyon:487, SnowyCanyonHigh:488, SnowyCanyonMid:489, SnowyCliffsEdge:490, SnowyCliffsMountainPeak1:491, SnowyCliffsMountainPeak2:492, SnowyCliffsThicket:494, SnowyCliffsThicketMountain:495, DesertTropicalPlateau:496, DesertTropicalM:497, JungleAncientMountainTall:498, JungleAncientRocks:499, ForestConiferSnow2:500, SnowyMountainsEdge:501, BirchGrove:503, BirchGroveBorder:504, ForestFir:505, ForestFirMountain:506, ForestFirMountainEdge1:507, ForestFirMountainEdge2:508, RockyHills:509, RockyHillsEdge:510, RockyHillsCliff:511, RainforestBog:513, JungleCliffsVolcano:514, JungleSwampy:515, BirchForestTropical:516, BirchForestTropicalIsle:517, BirchForestTropicalIsle2:518, BirchForestTropicalIsle3:519, ForestHighlands:520, ForestLarch:521, CliffsSmall:522, CliffsSmallEdge:523, CliffsSmallPlateau:524, CliffsSmallPlateau2:525, CliffsSmallPlateau3:526, CliffsSmallMountain:527, CliffsSmallMountainEdge:528, CliffsSmallForest:529, CliffsSmallForest2:530, TropicalPillars:531, Mountain Peak:532, Mountain Peak2:533, Mountain Peak3:534, ForestOakSmall:535, ForestPoplar:536, ForestPinyon:537, ForestPlateauPinyon:538, FloatingIslands:539, RockyPlainsSmall:540, ForestEnchantedCaves:541, DesertRedConifer:542, ForestCliffs:543, ForestCliffsMountain:544, ForestCliffsMountainEdge:545, ForestCliffsLowlands:546, RainforestTropicalMountain:547, RainforestTropicalEdge:548, RainforestTropicalMountainPeak:549, TaigaHighlandsPeak:550, Mega Taiga Mountains:551, Cold Plains:552, SnowyMesa:553, SnowyMesaRocks:554, SnowyMesaEdge:555, SnowyMesaForest:556, SnowyCliff:557, Snowy Cliffs:558, IcyMountains:559, Alps:560, Mesa Verde Mountain:561, RiverTundra:562, DesertTropical:563, RiverEnder:564, Arctic:565, Caverns:566, High Cliffs:567, Desert Cliffs:568, Glacier:569, JungleMountainPeak:570, Roofed Fungi Forest:571, Rainforest:572, FlyingForest:573, FloatingPlains:574, RiverRoofedForest:575, JungleMountainRange:576, Mesa River:577, Archipelago:578, Dry Plains:579, TemperateHills:580, TropicalMountain:581, SnowyLonePeak:582, ForestPeak:583, RiverSavanna:584, RiverDesert:585, Mesa Verde:586, RiverSandy:587, RiverForest:588, RiverRocky:589, RiverBirchForest:590, RiverSwampland:591, IceWall:592, MonumentValley:593, Redwood Forest:594, JungleCliffs:595, Forest Wetland:596, RiverWetland:597, RiverTaiga:598, RiverForestConifer:599, RockyMountains:600, Mountain Range:601, RockyPlains:602, DesertRed:603, IsleRiver:604, RiverClay:605, RiverTropical:606, Rocks:607, OceanRocks:608, OceanPlateau:609, SnowyPlains:610, Marsh:611, TemperateLowlands:612, SnowyMountains:613, Ocean Island:614, Alpine:615, RiverAlpine:616, DesertOasis:617, Mangrove Forest:618, DesertBaobabs:619, TaigaPlateau:620, MarshBorder:621, OceanRocksDiorite:622, OceanForestHighlands:623, TaigaPlateauEdge:624, OceanForestHighlandsBorder:625, ForestCliffsBorder:626, DioriteCliffs:627, DioriteCliffsM:628, RiverDiorite:629, DioriteCliffsPeak:630, RiverVerde:631, ForestLarchPeak:632, DesertTropicalEdge:633, RiverSteppe:634, Beach Desert:635, SnowyPlainsEdge:636, OceanCoral:637, DrySavannaBorder:638, MonumentMountains:639, MonumentMountainsPeak1:640, MonumentMountainsPeak2:641, MesaWhite:642, MesaWhitePeak:643, MesaWhiteEdge1:644, MesaWhiteEdge2:645, MesaWhiteLow:646, SpookyGrove:647, SpookyGroveEdge:648, ForestPlateauThicket:649, FloatingJungleEdge:650, FloatingJungleHole:651, FloatingJungle:652, Frozen Forest Edge:653, RiverUplands:654, RiverSpooky:655, Birch Forest Peak:656, RoofedForestEnchanted:657


#######################################################################
# +-----------------------------------------------------------------+ #
# |                  Settings for BiomeMode: Normal                 | #
# +-----------------------------------------------------------------+ #
#######################################################################

# Also used in BiomeMode:FromImage when ImageMode is set to ContinueNormal
# Important value for generation. Bigger values appear to zoom out. All 'Sizes' must be smaller than this.
# Large %/total area biomes (Continents) must be set small, (limit=0)
# Small %/total area biomes (Oasis,Mountain Peaks) must be larger (limit=GenerationDepth)
# This could also represent "Total number of biome sizes" 
# Small values (about 1-2) and Large values (about 20) may affect generator performance.
GenerationDepth: 13

# Max biome rarity from 1 to infinity. By default this is 100, but you can raise it for
# fine-grained control, or to create biomes with a chance of occurring smaller than 1/100.
BiomeRarityScale: 100

################
# Biome Groups #
################

# Minecraft groups similar biomes together, so that they spawn next to each other.

# Syntax: BiomeGroup(Name, Size, Rarity, BiomeName[, AnotherName[, ...]])
# Name - just for clarity, choose something descriptive
# Size - layer to generate on, from 0 to GenerationDepth. All biomes in the group must have a BiomeSize
#        larger than or equal to this value.
# Rarity - relative spawn chances.
# BiomeName... - names of the biome that spawn in the group. Case sensitive.

# Note: if you're using BiomeMode: BeforeGroups, only the biome names of the groups named NormalBiomes
# and IceBiomes and the size and rarity of the group named IceBiomes will be used. Other groups are
# ignored. The size and rarity of the NormalBiomes group is ignored as well, use LandSize and
# LandRarity instead.

BiomeGroup(NormalBiomes, 2, 99, RoofedForestEnchanted, ForestSakura, FloatingJungle, ForestPlateauThicket, MesaWhite, MonumentMountains, DioriteCliffs, SwamplandSpooky, ForestLarch, ForestHighlands, RockyHills, ForestFir, JungleAncient, TaigaSmall, RedwoodSmall, ForestGrandFirSmall, ForestDry, UplandsBlackSpruce, Mesa Sandstone, Drylands, Alpine, Alps, Autumnal Woods, Birch Forest, Birch Meadow, BirchForestHighlands, BirchForestMountainRange, BirchForestRocky, Caverns, Desert, Desert Cliffs, Desert M, DesertFlats, DesertHills, DesertLowlands, DesertRed, DesertSmall, DesertTropical, Dry Plains, Extreme Hills, Extreme Hills Jungle, FloatingPlains, Flower Forest, Forest, Forest M, Forest Wetland, ForestBaldCypress, ForestConifer, ForestEnchanted, ForestEnder, ForestFirThicket, ForestGrandFir, ForestHills, ForestMountainRange, ForestPlateauRoofed, High Cliffs, Highlands, Jungle, JungleCliffs, JungleHighlands, JungleHills, Mangrove Forest, Marsh, Mega Taiga, Mega Taiga Hills, Mesa, Mesa (Bryce), Mesa Small, Mesa Verde, MonumentValley, Mountain Range, MountainSteps, MountainStepsGlacier, PlainsCliffM, Pumpkin Plains, Rainforest, Redwood Forest, RockyMountains, RockyPlains, Roofed Forest, Savanna, SavannaSmall, Steppe, Sunflower Plains, Swampland, Swampland M, SwamplandLarge, Taiga, TaigaHighlands, TemperateHills, TemperateLonePeak, TemperateLowlands, TemperatePlains, TemperatePlainsDarkMeadow, TemperatePlainsHeathland, TemperatePlainsM, TemperatePlainsMeadow, TemperatePlainsMeadowM, Tropical Savanna, TropicalPillars, Tundra, Uplands, DesertSmallRed, Webbed Forest, RainforestTropical, DesertRedConifer)
BiomeGroup(IceBiomes, 4, 85, Snowy Cliffs, SnowyExtremeHills, SnowyMesa, Cold Plains, Arctic, SnowyPlains, IcyMountains, Ice Plains, SnowyMountains, ColdForestFirThicket, Cold Taiga, Frozen Forest, Glacier)
###############
# Biome lists #
###############

# Don't forget to register your custom biomes first in CustomBiomes!

# Biomes used as isles in other biomes. You must set IsleInBiome in biome config for each biome here. Biome name is case sensitive.
# Biomes used as borders of other biomes. You must set BiomeIsBorder in biome config for each biome here. Biome name is case sensitive.
IsleBiomes: Birch Forest Peak, ForestSakuraHills, FloatingJungleHole, SpookyGrove, MesaWhiteLow, MesaWhitePeak, MonumentMountainsPeak1, MonumentMountainsPeak2, OceanCoral, ForestLarchPeak, DioriteCliffsPeak, DioriteCliffsM, OceanForestHighlands, MountainSteps, OceanRocksDiorite, TaigaPlateau, DesertBaobabs, FloatingIslands, Mesa Verde Mountain, TaigaHighlandsPeak, RainforestTropicalMountainPeak, RainforestTropicalMountain, ForestCliffsLowlands, ForestCliffsMountain, ForestEnchantedCaves, RockyPlainsSmall, Mountain Peak3, Mountain Peak2, Mountain Peak, CliffsSmallForest, CliffsSmallForest2, CliffsSmallMountain, CliffsSmallPlateau, CliffsSmallPlateau2, CliffsSmallPlateau3, BirchForestTropicalIsle, BirchForestTropicalIsle2, BirchForestTropicalIsle3, JungleSwampy, JungleCliffsVolcano, RainforestBog, RockyHillsCliff, ForestFirMountain, BirchGrove, ForestConiferSnow2, JungleAncientRocks, JungleAncientMountainTall, DesertTropicalM, DesertTropicalPlateau, SnowyCanyon, SnowyCanyonHigh, SnowyCanyonMid, SnowyCliffsMountainPeak1, SnowyCliffsMountainPeak2, SnowyCliffsThicket, SnowyCliffsThicketMountain, JungleAncientMountain, JungleAncientMushrooms, MesaPaintedCanyon, ForestBaldCypressSmall, AlpineConiferSnow, AlpineConiferMountain, HighCliffsThicket, HighCliffsThicketMountain, DesertSmallRed, RiverTaiga, Mesa Sandstone M, Mesa Sandstone Peak, TemperateHillsForest, DesertCliffsOasis, RiverAlpine, DrylandsIsle, Mesa Verde Forest, Cold Taiga Hills, Cold Taiga M, Mesa Small M, Plains, GiantMushroomIsland, TemperatePlainsDarkMeadow, FrozenRiver, GlacierM, Glacier, DesertCanyon, DesertCanyonHigh, DesertCanyonMid, BirchForestMountain, OceanPlateauLow, Rainforest Plateau Low, Rainforest Plateau M, Rainforest Plateau, Tropical Savanna Summit, Tropical Savanna Canyon, Tropical Savanna Canyon High, Tropical Savanna Canyon Mid, DesertLowlandsOasis, SwamplandSmall, SnowyMesaRocks, SnowyMesaForest, ColdForestFirThicket, HighCliffsSummit, Webbed Forest Grove, RockyPlainsM, OceanRockyIslandPeak, OceanRockyIsland, OceanForestIsland, OceanDesertIsland, AlpsMountain1, AlpsMountainPeak, AlpsMountainPeak2, AlpsForest, AlpsMountain2, AlpsMountain3, AlpsMountainHighlands, IceWall, JungleLonePeak, TropicalPillarSmall, TropicalPillarLarge, SteppeHill, SteppeHeathland, SteppeRocks, OceanRocks, OceanPlateau, OceanRocksM, Mesa (Bryce) Rocks, Mesa (Bryce) Forest, IcyMountainPeak1, IcyMountainPeak2, RockyMountainPeak1, RockyMountainPeak2, MonumentValleyFir, MonumentSmall, JungleCliffsCanyon, JungleCliffsCanyonMid, JungleCliffsCanyonHigh, Monument, MonumentM, OceanIslandDesert, TemperatePlainsMeadowM, Mega Taiga Mountains, JungleMountainPeak, JungleMountainRange, Roofed Fungi Forest, JungleLowlands, AlpineForest, AlpineM, ForestWoodland, OceanIslandRoofedForest, OceanIslandForest, Ocean Island, MesaPeak, ForestConiferMountain, Autumnal Woods Hills, Autumnal Woods M, RedMountain, TundraForest, ForestEnderValley, SnowyCliff, SnowyCliffM, SnowyPlainsM, ForestPeak, Mesa Rock, MesaCanyon, Mesa Plateau F, Mesa Plateau M, SnowyLonePeak, DesertOasis, RiverTropical, TemperateLonePeak, DryPlainsM, TropicalMountain, PlainsCliff, PlainsCliffM, Birch Forest M, FlyingForest, Mesa Plateau, Mesa Plateau F M, ForestWetlandM, Ice Plains Spikes, Deep Ocean, Webbed Hills, DesertMountain, TaigaHills, MushroomIsland, MesaVerdeCanyon, MesaVerdeCanyonMid, MesaVerdeCanyonHigh, ForestConiferSnow, Canyon, CanyonHigh, CanyonMid, ArchipelagoMid, ArchipelagoHigh, Archipelago, Mega Spruce Taiga, Caverns M, Caverns+, Caverns+ M, Roofed Forest M, ForestMountain, Jungle M, Birch Forest Hills, Birch Forest Hills M, Savanna M, Rocks, ForestEnderMountain, ForestEnchantedGrove, HighlandsPeaks, SwamplandRuins, FloatingHole, IsleRiver, JunglePlateau, JunglePlateauLow, JungleHills, TemperatePlainsCypresshill, TemperatePlainsMeadow, TemperatePlainsOakgrove, TemperatePlainsHeathland, SavannaHills, Mesa Desert, Rainforest Plateau M, RiverForestConifer, Ice Mountains, Swampland Bushes, Extreme Hills M, Extreme Hills+

BorderBiomes: Frozen Forest Edge, FloatingJungleEdge, SpookyGroveEdge, MesaWhiteEdge1, MesaWhiteEdge2, DrySavannaBorder, SnowyPlainsEdge, Beach, RiverVerde, RiverDiorite, ForestCliffsBorder, OceanForestHighlandsBorder, TaigaPlateauEdge, MarshBorder, RainforestTropicalEdge, ForestCliffsMountainEdge, CliffsSmallMountainEdge, CliffsSmallEdge, BirchForestTropicalIsle, RockyHillsEdge, ForestFirMountainEdge1, ForestFirMountainEdge2, BirchGroveBorder, DesertTropicalEdge, SnowyMountainsEdge, SnowyCliffsEdge, UplandsEdge, MonumentValleyEdge, ForestDryEdge, DesertSmallRedEdge, ForestMountainRangeEdge, Mesa Sandstone Edge, DrylandsEdge1, DrylandsEdge2, DesertCliffsOasisEdge, Beach Desert, Mesa Small Edge, Extreme Hills Edge, FrozenRiver, Desert Cliffs Edge, MountainStepsGlacierEdge1, MountainStepsGlacierEdge2, Rainforest M, Tropical Savanna Edge, ColdTaigaBorder, DesertLowlandsOasisEdge, MountainStepsEdge1, MountainStepsEdge2, DesertLowlandsEdge, RockyMountainsPeakEdge, SnowyMesaEdge, TundraCliffs, ColdForestFirThicketEdge, ForestFirThicketEdge, AlpsEdge, AlpsMountainEdge, AlpsMountainEdge2, OceanPlateauM, RiverRoofedForest, JungleCliffsEdge, RiverWetland, Cold Beach, TundraEdge, Mesa River, Mesa (Bryce) Edge, ArcticEdge, ForestPlateau, TundraCliffs, DesertOasisBorder, RiverTropical, TemperateHillsBorder, Savanna Plateau, TaigaHills, JungleEdge, ForestConiferEdge, Webbed Hills Edge, Taiga M, RiverClay, MushroomIslandShore, Mesa Verde Edge, Stone Beach, SavannaEdge, HighCliffsEdge, TemperateLowlandsEdge, Caverns Edge, RiverForest, ForestEnchantedBorder, WoodlandBorder, DrySavanna, FloatingEdge, SwamplandBorder, River, TemperatePlainsMeadowBorder, SwamplandBorder, TemperatePlainsOakgroveBorder, TemperateHillsBorder, Extreme Hills Jungle Edge

########################################
# Landmass settings (for NormalBiomes) #
########################################

# Land rarity from 100 to 1. If you set smaller than 90 and LandSize near 0 beware Big oceans.
LandRarity: 99

# Land size from 0 to GenerationDepth. Biome groups are placed on this.
LandSize: 3

# Make land more fuzzy and make lakes. Must be from 0 to GenerationDepth - LandSize
LandFuzzy: 3

#####################
# Ice area settings #
#####################

# Set this to false to stop the ocean from freezing near when an "ice area" intersects with an ocean.
FrozenOcean: false

# This is the biome temperature when water freezes if "FrozenOcean" is set to true.
# This used to be the case for all biomes in the "IceBiomes" list. Default: 0.15; Min: 0.0; Max: 2.0
# Temperature Reference from Vanilla: <0.15 for snow, 0.15 - 0.95 for rain, or >1.0 for dry
OceanFreezingTemperature: 0.15

# If the average of all biome temperatures in a biome group is less than "OceanFreezingTemperature", then:
#  - When this setting is true, all biomes in the group will have frozen oceans
#  - When this setting is false, only biomes with a temperature below "OceanFreezingTemperature" will have frozen oceans
# Default: false
FreezeAllBiomesInColdGroup: false

##########
# Rivers #
##########

# River rarity. Must be from 0 to GenerationDepth.
RiverRarity: 4

# River size from 0 to GenerationDepth - RiverRarity
RiverSize: 3

# Set this to false to prevent the river generator from doing anything.
RiversEnabled: true

# When this is set to false, the standard river generator of Minecraft will be used.
# This means that a technical biome, determined by the RiverBiome setting of the biome
# the river is flowing through, will be used to generate the river.

# When enabled, the rivers won't use a technical biome in your world anymore, instead
# you can control them using the river settings in the BiomeConfigs.
ImprovedRivers: false

# When set to true the rivers will no longer follow biome border most of the time.
RandomRivers: true


#######################################################################
# +-----------------------------------------------------------------+ #
# |                 Settings for BiomeMode:FromImage                | #
# +-----------------------------------------------------------------+ #
#######################################################################

# Possible modes when generator outside image boundaries: Repeat, ContinueNormal, FillEmpty
#    Repeat - repeat image
#    Mirror - advanced repeat image mode
#    ContinueNormal - continue normal generation
#    FillEmpty - fill by biome in "ImageFillBiome settings" 
ImageMode: Repeat

# Source png file for FromImage biome mode.
ImageFile: map.png

# Where the png's north is oriented? Possible values: North, East, South, West
#    North - the top of your picture if north (no any rotation)
#    West - previous behavior (you should rotate png CCW manually)
#    East - png should be rotated CW manually
#    South - rotate png 180 degrees before generating world
ImageOrientation: West

# Biome name for fill outside image boundaries with FillEmpty mode.
ImageFillBiome: Ocean

# Shifts map position from x=0 and z=0 coordinates.
ImageXOffset: 0

ImageZOffset: 0


#######################################################################
# +-----------------------------------------------------------------+ #
# |                  Terrain height and volatility                  | #
# +-----------------------------------------------------------------+ #
#######################################################################

# Scales the height of the world. Adding 1 to this doubles the
# height of the terrain, substracting 1 to this halves the height
# of the terrain. Values must be between 5 and 8, inclusive.
WorldHeightScaleBits: 8

# Height cap of the base terrain. Setting this to 7 makes no terrain
# generate above y = 2 ^ 7 = 128. Doesn't affect resources (trees, objects, etc.).
# Values must be between 5 and 8, inclusive. Values may not be lower
# than WorldHeightScaleBits.
WorldHeightCapBits: 8

# Can increase (values greater than 0) or decrease (values less than 0) how much the landscape is fractured horizontally.
FractureHorizontal: 0.2

# Can increase (values greater than 0) or decrease (values less than 0) how much the landscape is fractured vertically.
# Positive values will lead to large cliffs/overhangs, floating islands, and/or a cavern world depending on other settings.
FractureVertical: 0.4


#######################################################################
# +-----------------------------------------------------------------+ #
# |                              Blocks                             | #
# +-----------------------------------------------------------------+ #
#######################################################################

# Attempts to replace all surface stone with biome surface block.
RemoveSurfaceStone: false

# Disable bottom of map bedrock generation. Doesn't affect bedrock on the ceiling of the map.
DisableBedrock: false

# Enable ceiling of map bedrock generation.
CeilingBedrock: false

# Make layer of bedrock flat.
FlatBedrock: false

# Block used as bedrock.
BedrockobBlock: BEDROCK

# Set this to false to disable the bounds check during chunk population.
# While this allows you to spawn larger objects, it also makes terrain generation
# dependant on the direction you explored the world in.
PopulationBoundsCheck: false

################################
# Water / Lava & Frozen States #
################################

# Set water level. Every empty block under this level will be fill water or another block from WaterBlock 
WaterLevelMax: 52

WaterLevelMin: 0

# Block used as water in WaterLevel.
WaterBlock: WATER

# Block used as ice.
IceBlock: ICE

# Block used as cooled or frozen lava.
# Set this to OBSIDIAN for "frozen" lava lakes in cold biomes
CooledLavaBlock: STATIONARY_LAVA

##############
# World only #
##############

# By Default in cold biomes, lakes freeze but only water exposed to sky is frozen.
# Setting this to true causes any lake in a cold biome with at least one block exposed to sky to completely freeze
FullyFreezeLakes: true

# By Default, all snow is 1 layer high. When this setting is set to true, snow height is
# determined by biome temperature and therefore height.
# For now: A block temp > -.5 yields a single snow layer. A block temp < -.75 yields max snow layers.
# All values in the range -.75 < temp < -.5 are evenly distributed.
UseTemperatureForSnowHeight: true

# By Default, snow falls on the highest block only.
# Setting this to true will cause snow to fall through leaves but leave a little snow on the way
BetterSnowFall: true


#######################################################################
# +-----------------------------------------------------------------+ #
# |                            Resources                            | #
# +-----------------------------------------------------------------+ #
#######################################################################

# Seed used for the resource generation. Can only be numeric. Set to 0 to use the world seed.
ResourcesSeed: 0

# LEGACY setting for compability with old worlds. This setting should be kept at 1.
# If the setting is set at 1, the setting will vanish from the config file. Readd it
# manually with another value and it will be back.

# When using the UseWorld or UseBiome keyword for spawning custom objects, Open Terrain Generator
# spawns one of the possible custom objects. There is of course a chance that
# the chosen object cannot spawn. This setting tells TC how many times it should
# try to spawn that object.
# This setting doesn't affect growing saplings anymore.
ObjectSpawnRatio: 20


#######################################################################
# +-----------------------------------------------------------------+ #
# |                            Structures                           | #
# +-----------------------------------------------------------------+ #
#######################################################################

# Generate-structures in the server.properties file is ignored by Open Terrain Generator. Use these settings instead.

###############
# Strongholds #
###############

# Set this to false to prevent the stronghold generator from doing anything.
StrongholdsEnabled: true

# The number of strongholds in the world.
StrongholdCount: 128

# How far strongholds are from the spawn and other strongholds (minimum is 1.0, default is 32.0).
StrongholdDistance: 32.0

# How concentrated strongholds are around the spawn (minimum is 1, default is 3). Lower number, lower concentration.
StrongholdSpread: 3

############
# Villages #
############

# Whether the villages are enabled or not.
VillagesEnabled: true

# The size of the village. Larger is bigger. Normal worlds have 0 as default, superflat worlds 1.
VillageSize: 0

# The minimum distance between the village centers in chunks. Minimum value is 9.
VillageDistance: 64

##################
# Rare buildings #
##################

# Rare buildings are either desert pyramids, jungle temples or swamp huts.
# Whether rare buildings are enabled.
RareBuildingsEnabled: true

# The minimum distance between rare buildings in chunks.
MinimumDistanceBetweenRareBuildings: 32

# The maximum distance between rare buildings in chunks.
MaximumDistanceBetweenRareBuildings: 64

###################
# Ocean monuments #
###################

# Whether ocean monuments are enabled.
OceanMonumentsEnabled: true

# Ocean monuments are placed on the corners of a grid, with a random offset added to each corner.
# The first variable is the size of the grid in chunks.
# Setting this to 8 will give a grid with cells of 8x8 chunks.
OceanMonumentGridSize: 32

# Random offset from each corner in chunks, on both the x and z axis.
# May not be smaller than 0, and may not be larger than OceanMonumentGridSize.
OceanMonumentRandomOffset: 26

####################
# Custom structues #
####################

# Maximum radius of custom structures in chunks. Custom structures are spawned by
# the CustomStructure resource in the biome configuration files.
MaximumCustomStructureRadius: 6

####################
# Other structures #
####################

MineshaftsEnabled: true

NetherFortressesEnabled: false


#######################################################################
# +-----------------------------------------------------------------+ #
# |                         Visual settings                         | #
# +-----------------------------------------------------------------+ #
#######################################################################

# Warning: this section will work only for players with the single version of Open Terrain Generator installed.
# World fog color
WorldFog: #C0D8FF

# World night fog color
WorldNightFog: #0B0D17


#######################################################################
# +-----------------------------------------------------------------+ #
# |                          Cave settings                          | #
# +-----------------------------------------------------------------+ #
#######################################################################

# This controls the odds that a given chunk will host a single cave and/or the start of a cave system.
CaveRarity: 8

# The number of times the cave generation algorithm will attempt to create single caves and cave
# systems in the given chunk. This value is larger because the likelihood for the cave generation
# algorithm to bailout is fairly high and it is used in a randomizer that trends towards lower
# random numbers. With an input of 40 (default) the randomizer will result in an average random
# result of 5 to 6. This can be turned off by setting evenCaveDistribution (below) to true.
CaveFrequency: 10

# Sets the minimum and maximum altitudes at which caves will be generated. These values are
# used in a randomizer that trends towards lower numbers so that caves become more frequent
# the closer you get to the bottom of the map. Setting even cave distribution (above) to true
# will turn off this randomizer and use a flat random number generator that will create an even
# density of caves at all altitudes.
CaveMinAltitude: 1

CaveMaxAltitude: 255

# The odds that the cave generation algorithm will generate a single cavern without an accompanying
# cave system. Note that whenever the algorithm generates an individual cave it will also attempt to
# generate a pocket of cave systems in the vicinity (no guarantee of connection or that the cave system
# will actually be created).
IndividualCaveRarity: 5

# The number of times the algorithm will attempt to start a cave system in a given chunk per cycle of
# the cave generation algorithm (see cave frequency setting above). Note that setting this value too
# high with an accompanying high cave frequency value can cause extremely long world generation time.
CaveSystemFrequency: 5

# This can be set to create an additional chance that a cave system pocket (a higher than normal
# density of cave systems) being started in a given chunk. Normally, a cave pocket will only be
# attempted if an individual cave is generated, but this will allow more cave pockets to be generated
# in addition to the individual cave trigger.
CaveSystemPocketChance: 1

# The minimum and maximum size that a cave system pocket can be. This modifies/overrides the
# cave system frequency setting (above) when triggered.
CaveSystemPocketMinSize: 8

CaveSystemPocketMaxSize: 28

# Setting this to true will turn off the randomizer for cave frequency (above). Do note that
# if you turn this on you will probably want to adjust the cave frequency down to avoid long
# load times at world creation.
EvenCaveDistrubution: false


#######################################################################
# +-----------------------------------------------------------------+ #
# |                         Ravine settings                         | #
# +-----------------------------------------------------------------+ #
#######################################################################

RavineRarity: 1

RavineMinAltitude: 20

RavineMaxAltitude: 199

RavineMinLength: 40

RavineMaxLength: 79

RavineDepth: 4.0


#######################################################################
# +-----------------------------------------------------------------+ #
# |               Settings for BiomeMode:OldGenerator               | #
# +-----------------------------------------------------------------+ #
#######################################################################

# This generator works only with old terrain generator!
OldBiomeSize: 1.5

MinMoisture: 0.0

MaxMoisture: 1.0

MinTemperature: 0.0

MaxTemperature: 1.0


#######################################################################
# +-----------------------------------------------------------------+ #
# |                            World Seed                           | #
# +-----------------------------------------------------------------+ #
#######################################################################

# The seed that will be used for this world unless it is overriden in the world creation menu.
# Leave blank for a random seed.
WorldSeed: 


#######################################################################
# +-----------------------------------------------------------------+ #
# |                           BO3 at spawn                          | #
# +-----------------------------------------------------------------+ #
#######################################################################

# This BO3 will be spawned at the world's spawn point as a CustomObject.
BO3AtSpawn: 


#######################################################################
# +-----------------------------------------------------------------+ #
# |                      Pre-generation radius                      | #
# +-----------------------------------------------------------------+ #
#######################################################################

# This is the radius in chunks around the spawn chunk within which chunks will automatically be spawned (uses a rectangle, not a circle around the spawn location!
# Defaults to: 0 (disabled)
PreGenerationRadius: 100


#######################################################################
# +-----------------------------------------------------------------+ #
# |                       World border radius                       | #
# +-----------------------------------------------------------------+ #
#######################################################################

# This is the radius in chunks around the spawn chunk within which chunks will have blocks spawned (uses a rectangle, not a circle around the spawn location!)
# Defaults to: 0 (disabled)
WorldBorderRadius: 0


#######################################################################
# +-----------------------------------------------------------------+ #
# |                            Dimension                            | #
# +-----------------------------------------------------------------+ #
#######################################################################

# Enables /otg dim commands and quartz portals for creating and travelling to other dimensions with seperate worlds.
DimensionsEnabled: false

# Dimensions that should be loaded for this world at world creation (requires DimensionsEnabled: true. A world directory of the same name must be present in mods/OpenTerrainGenerator/worlds/
Dimensions: 

# Currently in development, the Cartographer is a miniature version of the world (1/16th scale) that can be used to view the world (including players) and teleport players and items. Setting this to true loads and updates the Cartographer world map in the Cartographer dimension (does not require DimensionsEnabled: true). The Cartographer can be reached via a Quartz portal with a chiseled quartz base. The mods/OpenTerrainGenerator/worlds/DIM-Cartographer directory must be present (if you also have OTG-Cartographer.jar in your mods directory worlds/DIM-Cartographer should be created automatically).
Cartographer: false

